Reklam

Çizim Paylaş

Bülten Aboneliği
*  E-posta adresiniz:



* Güvenlik kodu:
> 1 <
İleti Yazar
19.09.2007 13:19
26901    
avrupali

[2] Girişimci

Online Durumu

13 ileti
tekniker
ankara

Ölçekli bir Türk bayrağı çizimi lazım, çizim talimatları da faydalı olabilir. Dwg formatında AutoCAD çizimi için yardımınızı esirgemeyin


Düzenleyen admin (28.11.2017 22:07 GMT)

19.09.2007 13:27
26902    
ehya

[90] Yönetici

Online Durumu

3127 ileti
Teknik Ressam
Ankara



G Genişlik
A Dış ay merkezinin uçkurluktan mesafesi 1/2 G
B Ayın dış dairesinin çapı 1/2 G
C Ayın iç-dış merkezleri arası mesafesi 0.0625 G
D Ayın iç dairesinin çapı 0.4 G
E Yıldız dairesinin ayın iç dairesinden uzaklığı 1/3 G
F Yıldız dairesi çapı 1/4 G
L Boy 1 1/2 G
M Uçkurluk genişliği 1/30

19.09.2007 14:41
26912    
destuana

[40] Gold üye

Online Durumu

1 ileti
öğrenci
istanbul

ben daha yeni saylırımda kendim denedim oldu ama bi türlü yıldızı nasıl koyabileceğimi bulamadım uğraşıp yapacaksak yaparız ama sanırım bi püf noktası vardır

18.05.2010 17:01
57502    
ProhibiT

[80] Yetkili

Online Durumu

1470 ileti
İnşaat Mühendisi
Ankara

Kanunla tanımlanan standart ölçülere uygun Türk Bayrağı çizen Lisp.
Bir zamanlar ihtiyaçtan yazmıştım. Yukarıda verilen oranlarla uygunluğunu kontrol ettim ve bazı arkadaşlarımızın işine yarayabilir düşüncesiyle paylaşmak istedim.
Kod:

(defun c:TC (/ n o x y)
  (setvar "cmdecho" 0) (command "undo" "group")
  (setq o (getpoint "\nBayrağın sol alt köşesini seçiniz: ")
        n (getdist o "\rBayrak eni : ") x (car o) y (cadr o)
        p (list (list (+ x (* n 0.0)) y) (list (+ x (* n 1.5)) y)
                (list (+ x (* n 1.5)) (+ y n)) (list (+ x (* n 0.0)) (+ y n))
                (list x y) (list (+ x (* n -0.0333333)) y)
                (list (+ x (* n -0.0333333)) (+ y n))
                (list (+ x (* n 0.0)) (+ y n))
                (list (+ x (* n 0.71125))(+ y (* n 0.633692)))
                (list (+ x (* n 0.71125))(+ y (* n 0.366308)))
                (list (+ x (* n 0.881079)) (+ y (* n 0.5)))
                (list (+ x (* n 0.93446)) (+ y (* n 0.573473)))
                (list (+ x (* n 0.848088)) (+ y (* n 0.545409)))
                (list (+ x (* n 0.794706)) (+ y (* n 0.618882)))
                (list (+ x (* n 0.794706)) (+ y (* n 0.528064)))
                (list (+ x (* n 0.708333)) (+ y (* n 0.5)))
                (list (+ x (* n 0.794706)) (+ y (* n 0.471936)))
                (list (+ x (* n 0.794706)) (+ y (* n 0.381118)))
                (list (+ x (* n 0.848088)) (+ y (* n 0.454591)))
                (list (+ x (* n 0.93446)) (+ y (* n 0.426527)))))
  (entmake (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(67 . 0)
      '(100 . "AcDbPolyline") '(90 . 4) '(70 . 1) (cons 10 (nth 0 p))
      (cons 10 (nth 1 p)) (cons 10 (nth 2 p)) (cons 10 (nth 3 p))))
  (entmake (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(67 . 0)
      '(100 . "AcDbPolyline") '(90 . 4) '(70 . 0) (cons 10 (nth 4 p))
      (cons 10 (nth 5 p)) (cons 10 (nth 6 p)) (cons 10 (nth 7 p))))
  (entmake (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(67 . 0)
      '(100 . "AcDbPolyline") '(90 . 2) '(70 . 1) (cons 10 (nth 8 p))
      '(42 . 3.45011) (cons 10 (nth 9 p)) '(42 . -2.60862)))
  (entmake (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(67 . 0)
      '(100 . "AcDbPolyline") '(90 . 10) '(70 . 1)
      (cons 10 (nth 10 p)) (cons 10 (nth 11 p)) (cons 10 (nth 12 p))
      (cons 10 (nth 13 p)) (cons 10 (nth 14 p)) (cons 10 (nth 15 p))
      (cons 10 (nth 16 p)) (cons 10 (nth 17 p)) (cons 10 (nth 18 p))
      (cons 10 (nth 19 p)))) (command "undo" "e") (princ "\r ") (prin1))


Ölçekli Türk Bayrağı çizen lisp indirme linki: 1-bayrak-ciz.lsp
Lisp dosyasını yükledikten sonra çalıştırmak için komut: TC

Zemini Kırmızı Solid, Ay ve Yıldızı Beyaz Solid Hatch ile boyamak size kalıyor
Kolay gelsin...


Düzenleyen admin (06.12.2017 09:32 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

09.06.2011 10:11
64604    
omrdrl

[2] Girişimci

Online Durumu

23 ileti
Elektrik Teknikeri
istanbul

Alıntı
ProhibiT :
Kanunla tanımlanan standart ölçülere uygun Türk Bayrağı çizen Lisp.
bir zamanlar ihtiyaçtan yazmıştım. yukarıda verilen oranlarla uygunluğunu kontrol ettim ve bazı arkadaşlarımızın işine yarayabilir düşüncesiyle paylaşmak istedim.
Kod:

(defun c:TC ()
  (setq n (getreal "\nBayrak eni? (Birim): ")
o (getpoint "\Bayrağın sol alt köşe noktasını seçiniz. ")
x (car o) y (cadr o)
  )
  (entmake
    (list
      (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 67 0) (cons 100 "AcDbPolyline")
      (cons 90 4) (cons 70 1) (cons 43 0.0) (cons 38 0.0) (cons 39 0.0)
      (cons 10 (list (+ x (* n 0.0)) (+ y (* n 0.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 1.5)) (+ y (* n 0.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 1.5)) (+ y (* n 1.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.0)) (+ y (* n 1.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
    )
  )
  (entmake
    (list
      (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 67 0) (cons 100 "AcDbPolyline")
      (cons 90 4) (cons 70 0) (cons 43 0.0) (cons 38 0.0) (cons 39 0.0)
      (cons 10 (list (+ x (* n 0.0)) (+ y (* n 0.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n -0.0333333)) (+ y (* n 0.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n -0.0333333)) (+ y (* n 1.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.0)) (+ y (* n 1.0)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
    )
  )
  (entmake
    (list
      (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 67 0) (cons 100 "AcDbPolyline")
      (cons 90 2) (cons 70 1) (cons 43 0.0) (cons 38 0.0) (cons 39 0.0)
      (cons 10 (list (+ x (* n 0.71125)) (+ y (* n 0.633692)))) (cons 40 0.0) (cons 41 0.0) (cons 42 3.45011) (cons 91 0)
      (cons 10 (list (+ x (* n 0.71125)) (+ y (* n 0.366308)))) (cons 40 0.0) (cons 41 0.0) (cons 42 -2.60862) (cons 91 0)
    )
  )
  (entmake
    (list
      (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 67 0) (cons 100 "AcDbPolyline")
      (cons 90 10) (cons 70 1) (cons 43 0.0) (cons 38 0.0) (cons 39 0.0)
      (cons 10 (list (+ x (* n 0.881079)) (+ y (* n 0.5)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.93446)) (+ y (* n 0.573473)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.848088)) (+ y (* n 0.545409)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.794706)) (+ y (* n 0.618882)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.794706)) (+ y (* n 0.528064)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.708333)) (+ y (* n 0.5)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.794706)) (+ y (* n 0.471936)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.794706)) (+ y (* n 0.381118)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.848088)) (+ y (* n 0.454591)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
      (cons 10 (list (+ x (* n 0.93446)) (+ y (* n 0.426527)))) (cons 40 0.0) (cons 41 0.0) (cons 42 0.0) (cons 91 0)
    )
  )
)

Zemini Kırmızı Solid, Ay ve Yıldızı Beyaz Solid Hatch ile boyamak size kalıyor
Kolay gelsin...





Ustam ben bu ölçülerden hiçbişey anlamadım

21.11.2011 14:21
66594    
mksystem

[1] Yeni üye

Online Durumu

1 ileti
öğrenci
istanbul

Yıldızı nasıl yapıcam aşama aşama anlatırsanız sevinirim

21.11.2011 23:48
66612    
Travaci

[70] Editör

Online Durumu

2024 ileti
Teknik Ressam
Konstantinopol

Defun c:tc ()
(setq l (getreal "\n turk bayraginin boyunu giriniz:"))
(setq n (getpoint "\n sol alt kose noktasini giriniz:"))
(aci-tanimla)
)
(defun aci-tanimla ()
(setq a1 0 a2 (/ pi 2) a3 pi a4 (/ (* 3 pi) 2)
g (/ l 1.5)
a (/ g 2)
b (/ g 2)
c (* g 0.0625)
d (* g 0.4)
e (/ g 3)
f (/ g 4)
y2a (/ (* 108 pi) 180)
y3a (/ (* 36 pi) 180)
y4a (/ (* 324 pi) 180)
y5a (/ (* 252 pi) 180)
yb (* f 0.1545)
)
(nokta-tanimla)
)
(defun nokta-tanimla ()
(setq n1 (polar n a2 g)
n1y (polar n a2 g)
n2 (polar n1 a1 (* g 1.5))
n3 (polar n a1 (* g 1.5))
n4 (polar n a1 (/ g 30))
n4y (polar n a1 (/ g 30))
n5 (polar n1 a1 (/ g 30))
n5y (polar n1 a1 (/ g 30))
n6 (list (+ (car n4)(/ g 2)) (+ (cadr n4) a))
n7 (polar n6 a1 c)
n8 (polar n6 a3 (/ b 2))
n9 (polar n7 a3 (/ d 2))
n10 (polar n6 a1 (/ b 2))
n11 (polar n7 a1 (/ d 2))
n12 (polar n9 a1 (+ e (/ f 2)))
y1 (polar n12 a3 (/ f 2))
y2 (polar n12 y2a (/ f 2))
y3 (polar n12 y3a (/ f 2))
y4 (polar n12 y4a (/ f 2))
y5 (polar n12 y5a (/ f 2))
y1b (polar n12 a3 yb)
y2b (polar n12 y2a yb)
y3b (polar n12 y3a yb)
y4b (polar n12 y4a yb)
y5b (polar n12 y5a yb)
)
(ciz)
)
(defun ciz ()
(command "line" n5 n2 n3 n4 "c"
"circle" n6 (/ b 2)
"circle" n7 (/ d 2)
"trim" n8 n9 "" n11 ""
"trim" n8 n9 "" n10 ""
"line" y1 y3 y5 y2 y4 y1 ""
"trim" y1b y2b y3b y4b y5b "" y1b y2b y3b y4b y5b""
"regen" ""
"change" "all" "" "p" "c" "red" ""
"hatch" "u" 90 0.05 "" "all" ""
"change" "l" "" "p" "c" "red" ""
"line" n4 n n1 n5 ""
"regen" ""
))

> 1 <
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 4322 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam